/*
Theme Name: Twenty Twenty-Five Child
Theme URI: https://wordpress.org/themes/twentytwentyfive/
Template: twentytwentyfive
Author: the WordPress team
Author URI: https://wordpress.org
Description: Twenty Twenty-Five emphasizes simplicity and adaptability. It offers flexible design options, supported by a variety of patterns for different page types, such as services and landing pages, making it ideal for building personal blogs, professional portfolios, online magazines, or business websites. Its templates cater to various blog styles, from text-focused to image-heavy layouts. Additionally, it supports international typography and diverse color palettes, ensuring accessibility and customization for users worldwide.
Tags: one-column,custom-colors,custom-menu,custom-logo,editor-style,featured-images,full-site-editing,block-patterns,rtl-language-support,sticky-post,threaded-comments,translation-ready,wide-blocks,block-styles,style-variations,accessibility-ready,blog,portfolio,news
Version: 1.4.1775656082
Updated: 2026-04-08 16:48:02

*/

.is-layout-flow > .alignright{
margin-inline-start: 0em;
}

.accordion {
	 font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
}
.accordion__item {
  margin-bottom: 0.5rem;
  border-radius: 0.25rem;
  box-shadow: 0 0.125rem 0.25rem rgb(0 0 0 / 15%);
}

.accordion__header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0.75rem 1rem;
  color: #222121;
  font-weight: 500;
  background-color: #f8f9fa;
  border-radius: 0.25rem;
  cursor: pointer;
  transition: background-color 0.2s ease-out;
  text-decoration: none;
}

.accordion__header:hover {
  background-color: #afc8ee;
  text-decoration: none;
}

.accordion__header-title {
  flex: 1;
}

/* Стрелка только для пунктов с подменю */
.accordion__item.has-submenu .accordion__header::after {
  flex-shrink: 0;
  width: 1.25rem;
  height: 1.25rem;
  margin-left: auto;
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23000'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e");
  background-repeat: no-repeat;
  background-size: 1.25rem;
  content: "";
  transition: transform 0.2s ease-out;
}

.accordion__item.has-submenu.accordion__item_show .accordion__header::after,
.accordion__item.has-submenu.accordion__item_slidedown .accordion__header::after {
  transform: rotate(-180deg);
}

/* Для пунктов без подменю */
.accordion__item.no-submenu .accordion__header {
  cursor: pointer;
}

/* Стили для подменю */
.accordion__body {
  display: none;
}

.accordion__item.has-submenu.accordion__item_show .accordion__body {
  display: block;
}

.accordion__content {
  display: flex;
  flex-direction: column;
  background: #fff;
  border-bottom-right-radius: 0.25rem;
  border-bottom-left-radius: 0.25rem;
}

.accordion__content a {
  position: relative;
  display: block;
  padding: 0.5rem 1rem;
  color: #212529;
  text-decoration: none;
  background: url(./assets/img/men.png) no-repeat 7px 15px/ 6px 6px;
  background-color: #fff;
  border: 1px solid rgb(0 0 0 / 12.5%);
  transition: all 0.2s ease;
}

.accordion__content a:first-child {
  border-top: none;
}

.accordion__content a:last-child {
  border-bottom-right-radius: inherit;
  border-bottom-left-radius: inherit;
}

.accordion__content a:hover {
  background-color: #f8f9fa;
  padding-left: 1.5rem;
}

/* Стиль для активной ссылки */
.accordion__content a.active {
  background-color: #e7f1ff;
  color: #1e73f3;
  font-weight: 500;
  border-left: 3px solid #0d6efd;
  padding-left: calc(1rem - 3px);
}

/* Стиль для активного пункта без подменю */
.accordion__item.no-submenu .accordion__header.active {
  background-color: #cddffa;
  color: #333131;
  box-shadow: inset 0 0 0 2px rgba(255, 255, 255, 0.3);
}

/* Стили для анимации */
.collapsing {
  transition: height 0.35s ease;
  overflow: hidden;
}

.recv_tbl td {
font-size: 14px;
padding: 5px;
}

.has-medium-font-size {
    font-size: clamp(0.75rem, 0.522rem + 0.47vw, 1rem) !important;
}

.wp-block-columns-is-layout-flex {
gap: 15px;
}
a:where(:not(.wp-element-button)){
  color: rgb(47 68 227);
    text-decoration: underline;
}


.bellows-submenu li {
    margin-left: 10px !important;
    background: url(../../../../wp-content/themes/twentytwentyfive-child/assets/img/men.png) no-repeat 0px 15px/ 6px 6px !important ;
}
.leftcolumn, .rightcolumn {
max-width: clamp(12.5rem, 6.804rem + 11.66vw, 18.75rem); 
}
@media (max-width: 781px) {
.leftcolumn, .rightcolumn {

max-width:300px;
}
}
@media (max-width: 781px) {
.wp-block-site-logo{justify-self: center;}
}
@media (max-width: 875px) {
.rightcolumn {
display: none;
}
@media (max-width: 781px) {
.rightcolumn {
display: block;
}

